%define coin_includedir %{expand:%%(coin-config --includedir)}
%define coin_htmldir %{expand:%%(coin-config --datadir)/Coin2}

Summary: High-level 3D visualization library
Name: SoQt
Version: 1.5.0
Release: 7%{?dist}

License: GPLv2
Group: System Environment/Libraries
URL: http://www.coin3d.org

Source: http://ftp.coin3d.org/coin/src/all/SoQt-%{version}.tar.gz

Patch0: SoQt-1.2.0-man3.diff
Patch1: SoQt-1.5.0-doxygen.diff

BuildRequires: doxygen
BuildRequires: /usr/bin/iconv
BuildRequires: Coin2-devel
BuildRequires: qt4-devel
BuildRequires: libXi-devel

Provides: Coin2-SoQt = %{version}-%{release}

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
SoQt is a Qt GUI component toolkit library for Coin.  It is also compatible
with SGI and TGS Open Inventor, and the API is based on the API of the
InventorXt GUI component toolkit.

%package devel
Summary: Development files for SoQt
Requires: %{name} = %{version}-%{release}
Requires: %{_datadir}/aclocal
Requires: Coin2-devel
Requires: qt4-devel

Requires: libXi-devel
Provides: Coin2-SoQt-devel = %{version}-%{release}
Group: Development/Libraries

%description devel
Development package for SoQt

%prep
%setup -q
%patch0 -p1
%patch1 -p1

find -name 'Makefile.*' -exec sed -i -e 's,\$(datadir)/Coin,$(datadir)/Coin2,' {} \;

# HACK ALERT
# The sources are ISO-8859-1 encoded
# We want doxygen to generate utf-8 encoded docs from them
sed -i \
 -e 's,^\(INPUT_FILTER.*=\).*$,\1 \"/usr/bin/iconv -f ISO-8859-1 -t utf-8\",' \
  src/Inventor/Qt/common/sogui.doxygen.in

%build
%configure \
	--includedir=%{coin_includedir} \
	--disable-static \
	--without-mesa \
	--disable-dependency-tracking \
	--enable-man \
	--enable-html \
	--with-qt=%{_libdir}/qt4 \
	htmldir=%{coin_htmldir}/SoQt \
	CPPFLAGS="${CPPFLAGS} -I%{_includedir}/Qt" \
	CONFIG_QTLIBS="$(pkg-config --libs QtGui)" \
	x_includes=" " x_libraries=" "
make

# Strip the default libdir
sed -i -e "s,-L%{_libdir} ,,g" soqt-default.cfg

# Strip ${RPM_OPT_FLAGS}
sed -i -e "s|${RPM_OPT_FLAGS}||g" soqt-default.cfg SoQt.pc

# Strip ${LDFLAGS}
ldflags=$(echo "$LDFLAGS"| sed -e 's|^\s*||;s|\s*$||')
test -n "${ldflags}" && sed -i -e "s|${ldflags}||g" soqt-default.cfg SoQt.pc

# soqt-config is arch dependent
sed -i -e "s,/share/Coin/conf/,/%{_lib}/Coin2/conf/,g" soqt-config

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -f ${RPM_BUILD_ROOT}%{_libdir}/libSoQt.*a

install -d -m 755 ${RPM_BUILD_ROOT}%{_libdir}/Coin2
mv ${RPM_BUILD_ROOT}%{_datadir}/Coin2/conf ${RPM_BUILD_ROOT}%{_libdir}/Coin2

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog* COPYING README LICENSE*
%{_libdir}/libSoQt.so.*

%files devel
%defattr(-, root, root)
%{_bindir}/*
%{_datadir}/aclocal/soqt.m4
%dir %{_datadir}/Coin2
%doc %{coin_htmldir}/SoQt
%{coin_includedir}/*
%{_libdir}/libSoQt.so
%{_libdir}/Coin2
%{_mandir}/man?/*.?.gz
%{_libdir}/pkgconfig/SoQt.pc

%changelog
* Mon Jul 23 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.5.0-7
- Fix typo in spec.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Mar 11 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.5.0-5
- Prevent empty LDFLAGS from choking sed.

* Sun Mar 11 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.5.0-4
- Modernize spec.
- Filter CFLAGS/LDFLAGS clutter in *.pc, *.cfg.
- Pass x_includes=" " x_libraries=" " to %%configure to work-around RHBZ #801369.
- Don't add build-time to doxygen generated docs (Add SoQt-1.5.0-doxgen.diff).

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Mar 03 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.5.0-1
- Upstream update.
- Spec file overhaul.
- Remove qt4-fixes.patch.

* Mon Feb 15 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.4.1-15
- Pass CONFIG_QTLIBS to configure to work around (BZ 564918).

* Mon Nov 23 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.4.1-14
- Let soqt-config search in %%{_libdir}/Coin2.

* Sun Nov 22 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.4.1-13
- Eliminate stray /usr/share/Coin directory.

* Wed Jul 29 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.4.1-12
- Switch to qt4.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Mar 25 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.4.1-9
- s/qt-devel/qt3-devel/

* Sun Feb 10 2008 Ralf Corsépius <rc040203@freenet.de> - 1.4.1-8
- Rebuild for gcc43.

* Thu Nov 29 2007 Ralf Corsépius <rc040203@freenet.de> - 1.4.1-7
- Rebuild against Coin-2.5.0.
- Rebuild with doxygen-1.5.3-1 (BZ 343211).

* Wed Aug 22 2007 Ralf Corsépius <rc040203@freenet.de> - 1.4.1-6
- Mass rebuild.
- Update license tag.

* Tue Feb 20 2007 Ralf Corsépius <rc040203@freenet.de> - 1.4.1-5
- Install soqt-default.cfg into %%{_prefix}/%%{_lib}

* Mon Feb 19 2007 Ralf Corsépius <rc040203@freenet.de> - 1.4.1-4
- Filter errant -L%%_libdir from soqt-config.cfg.
- Remove *.la.

* Fri Jan 19 2007 Ralf Corsépius <rc040203@freenet.de> - 1.4.1-3
- BR: libXi-devel, R: libXi-devel 
  (Work-around to XInput.h/libXi packaging issues).

* Sat Nov 04 2006 Ralf Corsépius <rc040203@freenet.de> - 1.4.1-2
- Inc Release due to buildsys bug.

* Sat Nov 04 2006 Ralf Corsépius <rc040203@freenet.de> - 1.4.1-1
- Upstream update.

* Tue Sep 08 2006 Ralf Corsépius <rc040203@freenet.de> - 1.4.0-1
- Upstream update.
- Add utf-8/doxygen hack.

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 1.3.0-4
- Mass rebuild.

* Wed May 31 2006 Ralf Corsépius <rc040203@freenet.de> - 0:1.3.0-3
- Rebuild against Coin-2.4.5.
- Spec file cleanup.

* Mon Feb 20 2006 Ralf Corsépius <rc040203@freenet.de> - 0:1.3.0-2
- Rebuild for FC5.

* Fri Sep 23 2005 Ralf Corsepius <rc040203@freenet.de> - 0:1.3.0-1
- Update to 1.3.0
- Build w/o simacros.
